This week's book giveaways are in the Java EE and JavaScript forums.
We're giving away four copies each of The Java EE 7 Tutorial Volume 1 or Volume 2(winners choice) and jQuery UI in Action and have the authors on-line!
See this thread and this one for details.
The moose likes Developer Certification (SCJD/OCMJD) and the fly likes Java 2 Platform Requirement Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of The Java EE 7 Tutorial Volume 1 or Volume 2 this week in the Java EE forum
or jQuery UI in Action in the JavaScript forum!
JavaRanch » Java Forums » Certification » Developer Certification (SCJD/OCMJD)
Bookmark "Java 2 Platform Requirement" Watch "Java 2 Platform Requirement" New topic
Author

Java 2 Platform Requirement

Henry Le
Greenhorn

Joined: Dec 14, 2006
Posts: 6
Hi all,

I have a Java version requirement as below, but I am little confused about versions, and if I am doing it correctly. Please tell.

"You may develop your code using any implementation of the Java 2 platform, but the submission that you return must have been tested and shown to work under a production (not development) version of the Sun Microsystems' Java 2 platform and that platform must not have been superseded by a new production version for more than 18 months by the time you make your submission. "

When I run: java -version on my machine I have:

java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)

So am I testing it under correct version if I submit it sometime soon like next week?

Thank you very much....
Chulwoo Choi
Ranch Hand

Joined: Apr 11, 2005
Posts: 65
Current Java version is 1.6.0 but java version "1.5.0_06" is fine as long as you submit the project before May of 2008.

Chulwoo
Henry Le
Greenhorn

Joined: Dec 14, 2006
Posts: 6
Thanks Chulwoo
Zhixiong Pan
Ranch Hand

Joined: Jan 25, 2006
Posts: 239
Hi all,
While using JDK 5.x, my business package will get only HotelRemote_Stub.class from rmic. Does that matter?


SCJP 1.4 SCJD
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Java 2 Platform Requirement